# ds__KeyInfoType Struct Reference

Imported complexType "http://www.w3.org/2000/09/xmldsig#":KeyInfoType from typemap WS/WS-typemap.dat. More...

`#include <ds.h>`

Collaboration diagram for ds__KeyInfoType:

[legend]
List of all members.

## Public Attributes

char * | KeyName
ds__KeyValueType * | KeyValue
ds__RetrievalMethodType * | RetrievalMethod
ds__X509DataType * | X509Data
_wsse__SecurityTokenReference * | wsse__SecurityTokenReference
char * | Id

## Detailed Description

Imported complexType "http://www.w3.org/2000/09/xmldsig#":KeyInfoType from typemap WS/WS-typemap.dat.

## Member Data Documentation

char* ds__KeyInfoType::Id

char* ds__KeyInfoType::KeyName

struct ds__KeyValueType* ds__KeyInfoType::KeyValue

struct ds__RetrievalMethodType* ds__KeyInfoType::RetrievalMethod

struct _wsse__SecurityTokenReference* ds__KeyInfoType::wsse__SecurityTokenReference

struct ds__X509DataType* ds__KeyInfoType::X509Data

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/import/ds.h